// DEMO
@import "elements/theme-options";

// Icons demo

.font-icon-wrapper {
  text-align: center;
  border: $gray-200 solid 1px;
  @include border-radius($border-radius);
  margin: 0 0 10px;
  padding: 5px;

  &.font-icon-lg {
    float: left;
    padding: 10px;
    text-align: center;
    margin-right: 15px;
    min-width: 64px;

    i {
      font-size: $h1-font-size;
    }
  }

  &:hover {
    background: $gray-100;
    color: $primary;

    p {
      color: $gray-600;
    }
  }

  i {
    font-size: ($font-size-lg * 1.5);
  }

  p {
    color: $gray-500;
    font-size: ($font-size-sm / 1.2);
    margin: 5px 0 0;
  }
}

.btn-icon-vertical {
  min-width: 100px;
}

.card.mb-3 {
  margin-bottom: $grid-gutter-width !important;
}

// Image BG

.demo-image-bg {
  height: 350px;
  margin-bottom: $grid-gutter-width;
  background-size: 100%;
}

// Loaders wrapper

.loader-wrapper {
  width: 150px;
  height: 100px;
  @include float-left;
}

// Slick slider

.slider-item {
  background: $gray-300;
  @include border-radius($border-radius);
  color: $gray-600;
  font-size: 36px;
  padding: 0;
  position: relative;
  height: 600px;
  line-height: 150px;
  text-align: center;
  margin: 0 $layout-spacer-x;
  transition: all .2s;
}

.slick-center {
  .slider-item {
    background: $gray-500;
    color: $gray-700;
  }
}

// Image Crop

.after-img {
  max-width: 100%;
}

.bottom {
    position: absolute;
    bottom: 1px;
    center: 16px;
    background-color: #011b3a;
    opacity: .5;
    color: white;
    text-align: center;
}

.text-block {
  position: absolute;
  top: 350px;
  width: 80%;
  height: 175px;
  background-color: white;
  color: #011b3a;
  font-weight: bold;
  border-bottom: 8px solid #011b3a !important;
  padding: 20px;
  font-family: Geneva;
  margin: 0;
  left: 50%;
  margin-right: -50%;
  transform: translate(-50%, -50%);
  text-align: justify;
}

.text-block:hover {
  transition-duration: 1s;
  background-color: #011b3a;
  color: white;
}

//.text-block3 {
//  position: absolute;
//  top: 500px;
//  text-align: justify;
//  width: 80%;
//  background-color: white;
//  color: #011b3a;
//  font-weight: bold;
//  border-bottom: 8px solid #011b3a !important;
//  padding: 20px;
//  font-family: Geneva;
//  font-size: 2rem;
//  display: inline-block;
//  horiz-align: center;
//}


.text-block3 {
  //position: absolute;
  //width: 80%;
  background-color: white;
  color: #011b3a;
  font-weight: bold;
  border-bottom: 8px solid #011b3a !important;
  text-align: justify;
  padding: 20px;
  font-family: Geneva;
  font-size: 2rem;
  //left: 50%;
  //margin-right: -50%;
  //transform: translate(-50%, -50%);
}

.text-block3:hover {
  transition-duration: 1s;
  background-color: #011b3a;
  color: white;
}

.text-block2 {
  font-size: 1.3rem;
  //bottom: 0px;
  //position: absolute;
  height: 100px;
  font-family: Geneva;
  text-align: center;
  width: 100%;
  color: white;
  background-color: #011b3a;
  opacity: 0.9;
}

.plain-text-block {
  width: 100%;
  background-color: white;
  color: #011b3a;
  font-weight: bold;
  text-align: justify;
  padding: 20px;
  font-family: Geneva;
  font-size: 2rem;
}

.text-block4 {
  position: absolute;
  top: 370px;
  width: 80%;
  background-color: white;
  color: #011b3a;
  font-weight: bold;
  border-bottom: 8px solid #011b3a !important;
  text-align: justify;
  padding: 10px;
  margin: 0;
  left: 50%;
  margin-right: -50%;
  transform: translate(-50%, -50%)
}

.text-block4:hover {
  text-align: justify;
  transition-duration: 1s;
  background-color: #011b3a;
  color: white;
}

.text-block-front {
  background-color: white;
  color: #011b3a;
  font-weight: bold;
  text-align: justify;
  font-family: Geneva;
  font-size: 2rem;
}

.text-block-front:hover {
  background-color: #011b3a;
  color: white;
}

.img-background-padding {
  background-color: rgb(0%,11%,23%);
  padding: 20px;
}

*:focus {
  outline: none;
}
